Loading...
Searching...
No Matches
pcl::device::OctreeImpl Class Reference

`#include </build/pcl-KfHoN9/pcl-1.15.0+dfsg/gpu/octree/src/internal.hpp>`

## Classes

struct | OctreeDataHost

## Public Types

using | PointType = float4
using | PointArray = DeviceArray< PointType >
using | PointCloud = PointArray
using | Queries = PointArray
using | Radiuses = DeviceArray< float >
using | BatchResult = DeviceArray< int >
using | BatchResultSizes = DeviceArray< int >
using | BatchResultSqrDists = DeviceArray< float >
using | Indices = DeviceArray< int >
using | NeighborIndices = pcl::gpu::NeighborIndices

## Public Member Functions

| OctreeImpl ()
void | setCloud (const PointCloud &input_points)
void | build ()
void | radiusSearchHost (const PointType &center, float radius, std::vector< int > &out, int max_nn) const
void | approxNearestSearchHost (const PointType &query, int &out_index, float &sqr_dist) const
void | radiusSearch (const Queries &queries, float radius, NeighborIndices &results)
void | radiusSearch (const Queries &queries, const Radiuses &radiuses, NeighborIndices &results)
void | radiusSearch (const Queries &queries, const Indices &indices, float radius, NeighborIndices &results)
void | approxNearestSearch (const Queries &queries, NeighborIndices &results, BatchResultSqrDists &sqr_distance) const
void | nearestKSearchBatch (const Queries &queries, int k, NeighborIndices &results, BatchResultSqrDists &sqr_distances) const
void | internalDownload ()

## Static Public Member Functions

static void | get_gpu_arch_compiled_for (int &bin, int &ptr)

## Public Attributes

PointCloud | points
DeviceArray2D< float > | points_sorted
DeviceArray< int > | codes
DeviceArray< int > | indices
OctreeGlobalWithBox | octreeGlobal
DeviceArray2D< int > | storage
struct pcl::device::OctreeImpl::OctreeDataHost | host_octree

## Detailed Description

Definition at line 68 of file internal.hpp.

## Member Typedef Documentation

## BatchResult

using pcl::device::OctreeImpl::BatchResult = DeviceArray<int>

Definition at line 78 of file internal.hpp.

## BatchResultSizes

using pcl::device::OctreeImpl::BatchResultSizes = DeviceArray<int>

Definition at line 79 of file internal.hpp.

## BatchResultSqrDists

using pcl::device::OctreeImpl::BatchResultSqrDists = DeviceArray<float>

Definition at line 80 of file internal.hpp.

## Indices

using pcl::device::OctreeImpl::Indices = DeviceArray<int>

Definition at line 81 of file internal.hpp.

## NeighborIndices

using pcl::device::OctreeImpl::NeighborIndices = pcl::gpu::NeighborIndices

Definition at line 83 of file internal.hpp.

## PointArray

using pcl::device::OctreeImpl::PointArray = DeviceArray<PointType>

Definition at line 72 of file internal.hpp.

## PointCloud

using pcl::device::OctreeImpl::PointCloud = PointArray

Definition at line 74 of file internal.hpp.

## PointType

using pcl::device::OctreeImpl::PointType = float4

Definition at line 71 of file internal.hpp.

## Queries

using pcl::device::OctreeImpl::Queries = PointArray

Definition at line 75 of file internal.hpp.

## Radiuses

using pcl::device::OctreeImpl::Radiuses = DeviceArray<float>

Definition at line 77 of file internal.hpp.

## Constructor & Destructor Documentation

## OctreeImpl()

pcl::device::OctreeImpl::OctreeImpl | ( |  | ) |

inline

Definition at line 87 of file internal.hpp.

## Member Function Documentation

## approxNearestSearch()

void pcl::device::OctreeImpl::approxNearestSearch | ( | const Queries & | queries,
|  | NeighborIndices & | results,
|  | BatchResultSqrDists & | sqr_distance
| ) |  | const

## approxNearestSearchHost()

void pcl::device::OctreeImpl::approxNearestSearchHost | ( | const PointType & | query,
|  | int & | out_index,
|  | float & | sqr_dist
| ) |  | const

## build()

void pcl::device::OctreeImpl::build | ( |  | ) |

## get_gpu_arch_compiled_for()

static void pcl::device::OctreeImpl::get_gpu_arch_compiled_for | ( | int & | bin,
|  | int & | ptr
| ) |  |

static

## internalDownload()

void pcl::device::OctreeImpl::internalDownload | ( |  | ) |

## nearestKSearchBatch()

void pcl::device::OctreeImpl::nearestKSearchBatch | ( | const Queries & | queries,
|  | int | k,
|  | NeighborIndices & | results,
|  | BatchResultSqrDists & | sqr_distances
| ) |  | const

## radiusSearch() [1/3]

void pcl::device::OctreeImpl::radiusSearch | ( | const Queries & | queries,
|  | const Indices & | indices,
|  | float | radius,
|  | NeighborIndices & | results
| ) |  |

## radiusSearch() [2/3]

void pcl::device::OctreeImpl::radiusSearch | ( | const Queries & | queries,
|  | const Radiuses & | radiuses,
|  | NeighborIndices & | results
| ) |  |

## radiusSearch() [3/3]

void pcl::device::OctreeImpl::radiusSearch | ( | const Queries & | queries,
|  | float | radius,
|  | NeighborIndices & | results
| ) |  |

## radiusSearchHost()

void pcl::device::OctreeImpl::radiusSearchHost | ( | const PointType & | center,
|  | float | radius,
|  | std::vector< int > & | out,
|  | int | max_nn
| ) |  | const

## setCloud()

void pcl::device::OctreeImpl::setCloud | ( | const PointCloud & | input_points | ) |

## Member Data Documentation

## codes

DeviceArray<int> pcl::device::OctreeImpl::codes

Definition at line 108 of file internal.hpp.

## host_octree

struct pcl::device::OctreeImpl::OctreeDataHost pcl::device::OctreeImpl::host_octree

## indices

DeviceArray<int> pcl::device::OctreeImpl::indices

Definition at line 109 of file internal.hpp.

## octreeGlobal

OctreeGlobalWithBox pcl::device::OctreeImpl::octreeGlobal

Definition at line 111 of file internal.hpp.

## points

PointCloud pcl::device::OctreeImpl::points

Definition at line 104 of file internal.hpp.

## points_sorted

DeviceArray2D<float> pcl::device::OctreeImpl::points_sorted

Definition at line 107 of file internal.hpp.

## storage

DeviceArray2D<int> pcl::device::OctreeImpl::storage

Definition at line 114 of file internal.hpp.

The documentation for this class was generated from the following file:

- /build/pcl-KfHoN9/pcl-1.15.0+dfsg/gpu/octree/src/internal.hpp